package com.lz.modules.sys.entity.app;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*业绩记录表
* @author quyixiao
* @since 2020-08-18
*/

@Data
@TableName("lz_result_record")
public class ResultRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //月份
    private Date monthTime;
    //0.新建，1 提交审批中，2 拒绝
    private Integer status;
    //最后得分
    private BigDecimal lastScore;
    //总分
    private BigDecimal allScore;
    //备注
    private String remark;
    //员工id
    private Long staffId;
    //类型 ,1 表示提交目标，2 表示提交结果
    private Integer type;
    //在新建时的角色 id
    private Long initRoleId;
    //当前审批流转所在员工 id
    private Long currentFlowStaffId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 月份 
     * @return
     */
    public Date getMonthTime() {
        return monthTime;
    }
    /**
     * 月份 
     * @param monthTime
     */
    public void setMonthTime(Date monthTime) {
        this.monthTime = monthTime;
    }

    /**
     * 0.新建，1 提交审批中，2 拒绝 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 0.新建，1 提交审批中，2 拒绝 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 最后得分 
     * @return
     */
    public BigDecimal getLastScore() {
        return lastScore;
    }
    /**
     * 最后得分 
     * @param lastScore
     */
    public void setLastScore(BigDecimal lastScore) {
        this.lastScore = lastScore;
    }

    /**
     * 总分 
     * @return
     */
    public BigDecimal getAllScore() {
        return allScore;
    }
    /**
     * 总分 
     * @param allScore
     */
    public void setAllScore(BigDecimal allScore) {
        this.allScore = allScore;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 员工id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 类型 ,1 表示提交目标，2 表示提交结果 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 类型 ,1 表示提交目标，2 表示提交结果 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 在新建时的角色 id 
     * @return
     */
    public Long getInitRoleId() {
        return initRoleId;
    }
    /**
     * 在新建时的角色 id 
     * @param initRoleId
     */
    public void setInitRoleId(Long initRoleId) {
        this.initRoleId = initRoleId;
    }

    /**
     * 当前审批流转所在员工 id 
     * @return
     */
    public Long getCurrentFlowStaffId() {
        return currentFlowStaffId;
    }
    /**
     * 当前审批流转所在员工 id 
     * @param currentFlowStaffId
     */
    public void setCurrentFlowStaffId(Long currentFlowStaffId) {
        this.currentFlowStaffId = currentFlowStaffId;
    }

    @Override
    public String toString() {
        return "ResultRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",monthTime=" + monthTime +
                ",status=" + status +
                ",lastScore=" + lastScore +
                ",allScore=" + allScore +
                ",remark=" + remark +
                ",staffId=" + staffId +
                ",type=" + type +
                ",initRoleId=" + initRoleId +
                ",currentFlowStaffId=" + currentFlowStaffId +
                "}";
    }
}